@use 'styles-variables' as *;

@mixin below-small {
	@media (max-width: $digi--breakpoint--small-below) {
		@content;
	}
}

@mixin small {
	@media (min-width: $digi--breakpoint--small) {
		@content;
	}
}

@mixin below-medium {
	@media (max-width: $digi--breakpoint--medium-below) {
		@content;
	}
}

@mixin medium {
	@media (min-width: $digi--breakpoint--medium) {
		@content;
	}
}

@mixin below-large {
	@media (max-width: $digi--breakpoint--large-below) {
		@content;
	}
}

@mixin large {
	@media (min-width: $digi--breakpoint--large) {
		@content;
	}
}

@mixin extra-large {
	@media (min-width: $digi--breakpoint--x-large) {
		@content;
	}
}
